#ifndef JITTERINGEFFECT_H
#define JITTERINGEFFECT_H

#include "./effects/effect.h"

/// Shaking image effect.
/**
*	Shaking image effect. Given image pictures with specified position and size is shaked in time domain.
*/
class JitteringEffect: public Effect
{
protected:
	float animationTime;

public:
	int jitteringEffect[2];
	int leftDownPos[2];
	unsigned int size[2];
	unsigned int texId;

	void simulate( float dt);
	void render( Render & render );
	JitteringEffect() { this->animationTime = 0;};
	~JitteringEffect() {};
};



#endif